VSTGUI: WindowListenerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
WindowListenerAdapter Class Reference
Standalone Library

Window listener adapter More...

`#include <windowlistener.h>`

Inheritance diagram for WindowListenerAdapter:

## Public Member Functions
void | onSizeChanged (const IWindow &window, const CPoint &newSize) override
| Size of window is changed. More...
void | onPositionChanged (const IWindow &window, const CPoint &newPosition) override
| Position of window is changed. More...
void | onShow (const IWindow &window) override
| Window is shown. More...
void | onHide (const IWindow &window) override
| Window is hidden. More...
void | onClosed (const IWindow &window) override
| Window is closed. More...
void | onActivated (const IWindow &window) override
| Window is activated. More...
void | onDeactivated (const IWindow &window) override
| Window is deactivated. More...
virtual void | onSizeChanged (const IWindow &window, const CPoint &newSize)=0
| Size of window is changed. More...
virtual void | onPositionChanged (const IWindow &window, const CPoint &newPosition)=0
| Position of window is changed. More...
virtual void | onShow (const IWindow &window)=0
| Window is shown. More...
virtual void | onHide (const IWindow &window)=0
| Window is hidden. More...
virtual void | onClosed (const IWindow &window)=0
| Window is closed. More...
virtual void | onActivated (const IWindow &window)=0
| Window is activated. More...
virtual void | onDeactivated (const IWindow &window)=0
| Window is deactivated. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Window listener adapter

## Member Function Documentation

## ◆ onActivated()

void onActivated | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is activated.

Implements IWindowListener.

## ◆ onClosed()

void onClosed | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is closed.

Implements IWindowListener.

Reimplemented in WindowClosedListener.

## ◆ onDeactivated()

void onDeactivated | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is deactivated.

Implements IWindowListener.

## ◆ onHide()

void onHide | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is hidden.

Implements IWindowListener.

## ◆ onPositionChanged()

void onPositionChanged | ( | const IWindow & | window,
|  | const CPoint & | newPosition
| ) |  |
| inlineoverridevirtual

Position of window is changed.

Implements IWindowListener.

## ◆ onShow()

void onShow | ( | const IWindow & | window | ) |
| inlineoverridevirtual

Window is shown.

Implements IWindowListener.

## ◆ onSizeChanged()

void onSizeChanged | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| inlineoverridevirtual

Size of window is changed.

Implements IWindowListener.

The documentation for this class was generated from the following file:

- windowlistener.h